import { Request, Response } from 'express';
import { container } from 'tsyringe';
import { FindOneCalendarUseCase } from './FindOneCalendarUseCase';


class FindOneCalendarController {
    async handle(request: Request, response: Response) {
        const {id} = request.params;
        const findOneCalendarUseCase = container.resolve(FindOneCalendarUseCase)

        const calendar = await findOneCalendarUseCase.execute(id)

        return response.status(200).json(calendar)
    }
}

export {FindOneCalendarController}