import { ICalendarsRepository } from "@modules/calendar/repositories/ICalendarsRepository";
import { AppError } from "@shared/error/AppError";
import { inject, injectable } from "tsyringe";

@injectable()
class FindOneCalendarUseCase {
    constructor(
        @inject('CalendarsRepository')
        private calendarsRepository: ICalendarsRepository
    ) {}

    async execute(id: string) {
        const calendarAlreadyExists = await this.calendarsRepository.findById(id)
        if(!calendarAlreadyExists) {
            throw new AppError('Calendar doesnt  Exists', 400)
        }

        const calendar = await this.calendarsRepository.findById(id)
        return calendar
    }
}


export {FindOneCalendarUseCase}